package chess4j.board.directions;

import chess4j.board.Square;

public class SouthWest extends Direction {

	private static SouthWest INSTANCE = new SouthWest();
	
	private SouthWest() {		
	}

	@Override
	public Square next(Square sq) {
		return Square.valueOf(sq.file().west(), sq.rank().south());
	}
	
	public static SouthWest getInstance() {
		return INSTANCE;
	}
}
